Author Topic: 1.9.8c Live Update not working  (Read 4158 times)

pepe2907

  • Beginner
  • *
  • Posts: 30
1.9.8c Live Update not working
« on: September 08, 2011, 15:40:00 pm »
Trying to update VM 1.9.8c to 1.9.8f on J1.7

It says: "        JInstaller: :Install: Cannot find XML setup file

                    i: Invalid package type. The update can not proceed.     "


Tee shot

  • Beginner
  • *
  • Posts: 39
Re: 1.9.8c Live Update not working
« Reply #1 on: September 08, 2011, 15:44:55 pm »
Hi,

If you are using virtuemart1.9.8.RC2F_extract_first.zip, you must first extract the files.

@+

pepe2907

  • Beginner
  • *
  • Posts: 30
Re: 1.9.8c Live Update not working
« Reply #2 on: September 08, 2011, 15:52:25 pm »
I am using the Live Update feature from inside the VM.
Obviously I've already installed it at least once, so I supposedly am well aware about the "extract_first" thing.
The file it tries to use is this one : http://virtuemart.net/releases/virtuemart/com_virtuemart.1.9.8F.zip

PRO

  • Global Moderator
  • Super Hero
  • *
  • Posts: 10293
  • VirtueMart Version: 3+
Re: 1.9.8c Live Update not working
« Reply #3 on: September 08, 2011, 16:58:23 pm »
could be a problem with local live update.
I do NOT do development work for hire.

pepe2907

  • Beginner
  • *
  • Posts: 30
Re: 1.9.8c Live Update not working
« Reply #4 on: September 08, 2011, 17:26:02 pm »
You mean the Joomla update?
The Joomla update is working, or at least - worked, because I updated it from 1.6.x /before installing VM/.
I downloaded the zipped update on my computer, and I see there is a XML, which seems ok to me as much as I can read it, with the exception of the joomla version it's stated it's for, which is 1.5.
May it be the reason J1.7 refuses it?

PRO

  • Global Moderator
  • Super Hero
  • *
  • Posts: 10293
  • VirtueMart Version: 3+
Re: 1.9.8c Live Update not working
« Reply #5 on: September 08, 2011, 17:31:00 pm »
NO i mean when you update from xampp etc.

I do remember trying to update akeebah via xampp local server, and it wouldnt update with live update
I do NOT do development work for hire.

pepe2907

  • Beginner
  • *
  • Posts: 30
Re: 1.9.8c Live Update not working
« Reply #6 on: September 08, 2011, 18:29:46 pm »
It's on a remote server on Linux.

PRO

  • Global Moderator
  • Super Hero
  • *
  • Posts: 10293
  • VirtueMart Version: 3+
Re: 1.9.8c Live Update not working
« Reply #7 on: September 08, 2011, 18:54:13 pm »
you mean LOCAL right, YOUR PC?
I do NOT do development work for hire.

pepe2907

  • Beginner
  • *
  • Posts: 30
Re: 1.9.8c Live Update not working
« Reply #8 on: September 08, 2011, 20:40:41 pm »
I mean remote. Why? What's so strange?

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 9744
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: 1.9.8c Live Update not working
« Reply #9 on: September 09, 2011, 09:13:06 am »
I downloaded the zipped update on my computer, and I see there is a XML, which seems ok to me as much as I can read it, with the exception of the joomla version it's stated it's for, which is 1.5.
May it be the reason J1.7 refuses it?

No j1.7 takes also the j1.5 files. The installer is written for both. Hmmm maybe the problem is a completly different one. Maybe it is connected to the wwwrun/phpuser problem.

I do remember trying to update akeebah via xampp local server, and it wouldnt update with live update

This works for me. I assume that you can download the file manually and install it over the prior version and it works. But then we cant find the error anymore lol. Hmmm
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

pepe2907

  • Beginner
  • *
  • Posts: 30
Re: 1.9.8c Live Update not working
« Reply #10 on: September 10, 2011, 13:09:08 pm »
The update was successful through the Extension Manager.
Looks like it was a problem of the Live update feature, maybe in this version only.